require 'cropimage_riffpad/crop_image_controller'
require 'cropimage_riffpad/crop_image_model'
require 'cropimage_riffpad/paperclip_processors/cropper'
# require 'cropimage_riffpad/crop_image_helper'
require 'new_responds_to_parent'

module CropImageRiffpad
  class Engine < ::Rails::Engine
    ActiveRecord::Base.extend(CropImageRiffpad::ClassMethods)        
    ActionController::Base.class_eval do
      include ActionView::Helpers::JavaScriptHelper
    end    
    ActionController::Base.extend(CropImageRiffpad::ControllerMethod)
  end
end
